org.apache.olingo.odata2.client.core

## Class ODataClientImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ODataClient
  - - org.apache.olingo.odata2.client.core.ODataClientImpl

- All Implemented Interfaces:
    DeserializerMetadataProviderInterface

      public class ODataClientImpl
      extends ODataClient
      implements DeserializerMetadataProviderInterface

  Implementation class to obtain serializers and deserializers based on content type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataClientImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentTypeBasedDeserializer` | `createDeserializer(String contentType)` Creates a new deserializer object for reading content in the specified format.
    `ContentTypeBasedSerializer` | `createSerializer(String contentType)` Creates a new serializer object for rendering content in the specified format.
    `EdmURIBuilder` | `edmUriBuilder(String serviceRoot)` Constructs the edm uri based on segments appended
    `UriInfo` | `parseUri(Edm edm, List<PathSegment> pathSegments, Map<String,List<String>> queryParameters)` Parses the uri and returns UriInfo
    `UriInfo` | `parseUri(Edm edm, List<PathSegment> pathSegments, Map<String,String> queryParameters, boolean strictFilter)` Parses the uri and returns UriInfo
    `UriInfo` | `parseUri(Edm edm, String uri)` Parses the uri and returns UriInfo
    `UriInfo` | `parseUri(Edm edm, String uri, boolean strictFilter)` Parses the uri and returns UriInfo
    `EdmDataServices` | `readMetadata(InputStream content, boolean validate)` Reads the metadata file and validates it if validate parameter is set to true
    `URIBuilder` | `uriBuilder(String serviceRoot)` Constructs the uri based on segments appended

    - ### Methods inherited from class org.apache.olingo.odata2.client.api.ODataClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataClientImpl

          public ODataClientImpl()

  - ### Method Detail

    - #### createSerializer

          public ContentTypeBasedSerializer createSerializer(String contentType)
                                                      throws EntityProviderException

      Description copied from class: `ODataClient`
      Creates a new serializer object for rendering content in the specified format.
      Specified by:
        `createSerializer` in class `ODataClient`
      Parameters:
        `contentType` - any format supported by Olingo (XML, JSON ...)
      Returns:
        ContentTypeBasedSerializer
      Throws:
        `EntityProviderException`

    - #### createDeserializer

          public ContentTypeBasedDeserializer createDeserializer(String contentType)
                                                          throws EntityProviderException

      Description copied from class: `ODataClient`
      Creates a new deserializer object for reading content in the specified format.
      Specified by:
        `createDeserializer` in class `ODataClient`
      Parameters:
        `contentType` - any content type supported by Olingo (XML, JSON ...)
      Returns:
        ContentTypeBasedDeserializer
      Throws:
        `EntityProviderException`

    - #### readMetadata

          public EdmDataServices readMetadata(InputStream content,
                                              boolean validate)
                                       throws EntityProviderException,
                                              EdmException

      Description copied from class: `ODataClient`
      Reads the metadata file and validates it if validate parameter is set to true
      Specified by:
        `readMetadata` in interface `DeserializerMetadataProviderInterface`
      Specified by:
        `readMetadata` in class `ODataClient`
      Parameters:
        `content` - inputStream
        `validate` - has to be true if metadata should be validated
      Returns:
        EdmDataServices
      Throws:
        `EntityProviderException`
        `EdmException`

    - #### parseUri

          public UriInfo parseUri(Edm edm,
                                  List<PathSegment> pathSegments,
                                  Map<String,List<String>> queryParameters)
                           throws UriSyntaxException,
                                  UriNotMatchingException,
                                  EdmException

      Description copied from class: `ODataClient`
      Parses the uri and returns UriInfo
      Specified by:
        `parseUri` in class `ODataClient`
      Returns:
        UriInfo
      Throws:
        `EdmException`
        `UriSyntaxException`
        `UriNotMatchingException`

    - #### parseUri

          public UriInfo parseUri(Edm edm,
                                  List<PathSegment> pathSegments,
                                  Map<String,String> queryParameters,
                                  boolean strictFilter)
                           throws UriSyntaxException,
                                  UriNotMatchingException,
                                  EdmException

      Description copied from class: `ODataClient`
      Parses the uri and returns UriInfo
      Specified by:
        `parseUri` in class `ODataClient`
      Returns:
        UriInfo
      Throws:
        `EdmException`
        `UriSyntaxException`
        `UriNotMatchingException`

    - #### parseUri

          public UriInfo parseUri(Edm edm,
                                  String uri)
                           throws UriSyntaxException,
                                  UriNotMatchingException,
                                  EdmException

      Description copied from class: `ODataClient`
      Parses the uri and returns UriInfo
      Specified by:
        `parseUri` in class `ODataClient`
      Returns:
        UriInfo
      Throws:
        `UriSyntaxException`
        `UriNotMatchingException`
        `EdmException`

    - #### parseUri

          public UriInfo parseUri(Edm edm,
                                  String uri,
                                  boolean strictFilter)
                           throws UriSyntaxException,
                                  UriNotMatchingException,
                                  EdmException

      Description copied from class: `ODataClient`
      Parses the uri and returns UriInfo
      Specified by:
        `parseUri` in class `ODataClient`
      Returns:
        UriInfo
      Throws:
        `UriSyntaxException`
        `UriNotMatchingException`
        `EdmException`

    - #### edmUriBuilder

          public EdmURIBuilder edmUriBuilder(String serviceRoot)

      Description copied from class: `ODataClient`
      Constructs the edm uri based on segments appended
      Specified by:
        `edmUriBuilder` in class `ODataClient`
      Returns:
        EdmURIBuilder

    - #### uriBuilder

          public URIBuilder uriBuilder(String serviceRoot)

      Description copied from class: `ODataClient`
      Constructs the uri based on segments appended
      Specified by:
        `uriBuilder` in class `ODataClient`
      Returns:
        URIBuilder

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.